use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IDiarySexp;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "diary_sexp")]
pub(crate) struct RenderDiarySexp {}

impl RenderDiarySexp {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &IDiarySexp,
    ) -> Result<RenderDiarySexp, CustomError> {
        Ok(RenderDiarySexp {})
    }
}
